Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.hibern8ide
Class AbstractQueryPage

    java.lang.Object
      |
      +--net.sf.hibern8ide.AbstractQueryPage

All Implemented Interfaces:
  net.sf.hibern8ide.QueryPage

Direct Known Subclasses:
  HQLQueryPage, JavaPage

public abstract class AbstractQueryPage
extends Object
implements net.sf.hibern8ide.QueryPage

Author:
  MAX To change the template for this generated type comment go to Window - Preferences - Java - Code Generation - Code and Comments

Field Summary
`protected List` | `exceptions`
`protected List` | `list`
`protected net.sf.hibernate.Session` | `session`
`protected boolean` | `sticky`

Constructor Summary
`AbstractQueryPage(net.sf.hibernate.Session session2)`

Method Summary
`List` | `getExceptions()`
`int` | `getID()`
`List` | `getList()`
`List` | `getPathNames()`
`String` | `getQueryString()`
`boolean` | `isSticky()`
`void` | `release()`
`void` | `setId(int i)`
`void` | `setSticky(boolean sticky)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    protected final net.sf.hibernate.Session session

### list

    protected List list

### sticky

    protected boolean sticky

### exceptions

    protected List exceptions

Constructor Detail

### AbstractQueryPage

    public AbstractQueryPage(net.sf.hibernate.Session session2)

Parameters:
  `session2` -

Method Detail

### setId

    public void setId(int i)

  Specified by:
    `setId` in interface `net.sf.hibern8ide.QueryPage`
  Parameters:
    `i` -

### getExceptions

    public List getExceptions()

  Specified by:
    `getExceptions` in interface `net.sf.hibern8ide.QueryPage`
  Returns:

### release

    public void release()

  Specified by:
    `release` in interface `net.sf.hibern8ide.QueryPage`

### getID

    public int getID()

  Specified by:
    `getID` in interface `net.sf.hibern8ide.QueryPage`
  Returns:

### isSticky

    public boolean isSticky()

  Specified by:
    `isSticky` in interface `net.sf.hibern8ide.QueryPage`
  Returns:

### setSticky

    public void setSticky(boolean sticky)

  Specified by:
    `setSticky` in interface `net.sf.hibern8ide.QueryPage`
  Parameters:
    `sticky` -

### getList

    public List getList()

### getPathNames

    public List getPathNames()

### getQueryString

    public String getQueryString()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD